앨리스의 토끼

javahawk.egloos.com

포토로그 방명록


최근 포토로그


[eclipse]java 버전 문제로 서버 추가 안될 경우 by Kircheis

이클립스에서 서버 탭을 열면 서버가 보이지 않는다.

No servers are available. Click this link to create a new server
만 보이는데... 클릭해 준다.
화면에서 추가하려는 서버 타입을 골라준다.
Server runtime environment 항목에 선택된 서버가 보인다.
그 옆의 "Add..."를 눌러준다.
JRE가 설정된 정보를 확인하기 위해 "Installed JREs..."를 눌러준다.
설치된 JRE 정보가 맞는지 확인하고, 여기서 새로운 기본으로 사용할 JRE를 체크해 준다.
물론 따로 설치된 JRE로 변경해 줄 수도 있다. 기본 JRE를 설정해 주자.
이 창으로 닫아주면 이전의 화면에서 하단의 "Next" 버튼이 활성화 된 것을 볼 수 있다. 클릭해 준다.

상단에 나타난 메시지가 해당 프로젝트의 버전에 문제가 있음을 알려준다.
Tomcat version 8.5 only supports J2EE 1.2, 1.3, 1.4, and Java EE 5, 6, and 7 Web modules
현재 프로젝트를 확인할 수 있지만, 아직 Available에서 움직일 수 없다.
처음에 Dynamic Web Module 프로젝트를 선택할 때 설정한 버전과 현재 java 버전이 맞지 않기 때문에 발생하는 현상이다.
"Cancel"하여 창을 닫고, 프로젝트의 메뉴에서 Properties를 클릭한다.
좌측 메뉴에서 Project Facets를 선택하면 우측에서 현재 설정된 Dynamic Web Module의 버전을 확인할 수 있다.
현재는 4.0
우측의 Details를 보면 "Java 1.8 or newer"로 나타난다.
Dynamic Web Module 의 버전을 3.1로 낮춰준다.
다시 서버 추가창에서 작업을 진행하면 프로젝트가 Configured로 옮겨지는 것을 확인할 수 있다.
서버 추가가 완료되면 서버 하위에 프로젝트가 추가된 상태로 보여진다.

덧글

댓글 입력 영역



메모장